<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>
<section class="comments-list-widget co mments" id="comments-list-<?php echo $this->contentId?>">
    <?php echo CHtml::link('', '#', array('name' => 'list_' . $this->contentId, 'class' => 'anchor')) ?>
    <h6 class="section-title"><?php echo CommentsModule::t('Comments')?> (<?php echo $commentsCountWithChildren?>)</h6>
    <?php if ($message = Yii::app()->user->getFlash('commentDeleteError' . $this->contentId)) { ?>
    <div class="flash-error">
        <?php echo $message?>
    </div>
    <?php } ?>
    <?php if ($message = Yii::app()->user->getFlash('commentDeleteSuccess' . $this->contentId)) { ?>
    <div class="flash-success">
        <?php echo $message?>
    </div>
    <?php } ?>
    <?php if ($message = Yii::app()->user->getFlash('commentApproveSuccess' . $this->contentId)) { ?>
    <div class="flash-success">
        <?php echo $message?>
    </div>
    <?php } ?>
    <?php if (count($comments) > 0) { ?>
    <ol class="comments-list">
        <?php foreach ($comments as $comment) { ?>
        <?php echo $this->render('_comment', array('comment' => $comment)) ?>
        <?php };?>
    </ol>
    <?php $this->widget('comments.widgets.CommentLinkPager',
        array(
            'pages'         => $pages,
            'contentId'     => $this->contentId,
            'htmlOptions'   => array('class'=>'pagination'),
            'firstPageLabel'=> CommentsModule::t('First'),
            'nextPageLabel' => CommentsModule::t('Next'),
            'prevPageLabel' => CommentsModule::t('Previous'),
            'lastPageLabel' => CommentsModule::t('Last'),
        )) ?>
    <?php if ($this->oneLevelReply && !empty($this->contentId)) { ?>
        <script type="text/javascript">
            $(function () {
                initCommentsReply({
                    comments: <?php echo CJSON::encode($this->getSafeCommentAttributes($comments))?>,
                    sel:{
                        form:"#comments-form-<?php echo $this->contentId?>",
                        commentsList:"#comments-list-<?php echo $this->contentId?>"
                    }
                });
            });
        </script>
        <?php } ?>
    <?php } else { ?>
    <p><?php echo CommentsModule::t('No comments')?> </p>
    <?php } ?>
</section>
