<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>

<li class="comment <?php echo !empty($isChild) ? 'child' : ''?>" id="comment-<?php echo $comment->id; ?>">
    
        <img src="<?php echo $this->getAvatar($comment)?>" alt="Profile" class="avatar" />

        <div class="comment-meta">
            <h5 class="author">
                <?php echo CHtml::link(CHtml::encode($comment->firstname . ' ' . $comment->lastname), '#');?>
                <?php if ($this->canReply()) { ?>
                - <?php echo CHtml::link(CommentsModule::t('Reply'), 'javascript:void(0)', array('id' => $comment->id, 'class' => 'comment-reply-link')); ?>
                <?php }?>
            </h5>

            <p class="date"><?php echo Yii::app()->dateFormatter->formatDateTime($comment->createtime);?></p>
        </div>
        <div class="comment-body">
            <h6 class="comment-subject"><?php echo CHtml::encode($comment->subject);?></h6>

            <p class="comment-message"><?php echo nl2br(CHtml::encode($comment->description));?></p>
        </div>

        <?php if (CommentsModule::canDelete($comment)): ?>
        <span class="comment-delete">
        <?php echo CHtml::link(CommentsModule::t('Delete'), !$this->isPreview ?
                Yii::app()->createUrl('comments/comment/delete', array('id' => $comment->id, 'key' => $this->hash, 'return_url' => Yii::app()->request->getRequestUri())) : 'javascript:void(0)'
        );?></span>
        <?php endif ?>
        <?php if (CommentsModule::canApprove($comment)) { ?>
        <?php if ($comment->status == Comment::APPROVED) { ?>
            <span class="comment-approve">
            <?php echo CHtml::link(CommentsModule::t('Not approve'), !$this->isPreview ? Yii::app()->createUrl('comments/comment/approve',
                    array('status' => Comment::NOT_APPROVED, 'id' => $comment->id, 'key' => $this->hash, 'return_url' => Yii::app()->request->getRequestUri())) : 'javascript:void(0)'
            );?></span>
            <?php } else { ?>
            <span class="comment-approve">
            <?php echo CHtml::link(CommentsModule::t('Approve'),
                !$this->isPreview ? Yii::app()->createUrl('comments/comment/approve', array('status' => Comment::APPROVED, 'id' => $comment->id, 'key' => $this->hash, 'return_url' => Yii::app()->request->getRequestUri())) : 'javascript:void(0)'
            );?>
        </span>
            <?php } ?>
        <?php }?>
    

    <?php if ($this->oneLevelReply && empty($isChild) && count($comment->childs) > 0) { ?>
    <ul class="children">
        <?php foreach ($comment->childs as $child) { ?>
        <?php echo $this->render('_comment', array('comment' => $child, 'isChild' => true)) ?>
        <?php }?>
    </ul>
    <?php } ?>
</li>