<?php
/**
 * Class for handling users last visited pages
 *
 * @packaged default
 * @author Me
 **/
class VisitedHistory
{
    public static function saveUrlToHistory($event)
    {
        self::addItem(Yii::app()->request->getUrl());
    }

    public static function getCacheKey($collection_id){

        return md5($collection_id ."_history_url");
    }

    public static function addItem($url, $title = null, $page_id = null, $collection_id = null)
    {
        if ($collection_id === null) {
            $collection_id = self::getCurrentCollectionId();
        }
        $key = self::getCacheKey($collection_id);
        $userHistory = Yii::app()->cache->get($key);
        if($userHistory === false){
            $userHistory = array();
        }
        $itemExists = false;
        foreach($userHistory as $k => $uh){
            if ($uh['url'] == $url){
                $userHistory[$k]['timestamp'] = time();
                $itemExists = true;
            }
        }
        if(!$itemExists){
            $userHistory[] = array('url' => $url, 'title' => $title, 'page_id' => $page_id, 'collection_id' => $collection_id, 'timestamp' => time());
        }
        Yii::app()->cache->set($key, $userHistory, Yii::app()->getModule('history')->cacheTime);
    }

    public static function getItems($collection_id = null, $count = null)
    {
        if ($collection_id === null) {
            $collection_id = self::getCurrentCollectionId();
        }
        $key = md5($collection_id ."_history_url");
        $userHistory = Yii::app()->cache->get($key);
        if($userHistory === false){
            return array();
        }

        foreach ($userHistory as $key => $val) {
            $time[$key] = $val['timestamp'];
        }
        array_multisort($time, SORT_ASC, $userHistory);

        if($count === null) {
            $count = count($userHistory);
        }
        return array_slice(array_reverse($userHistory),0,$count);
    }


    /**
     * Flush user history
     *
     * @return void
     * @author Me
     **/
    public static function flush($collection_id = null)
    {
        if ($collection_id === null) {
            $collection_id = self::getCurrentCollectionId();
        }
        $key = md5($collection_id ."_history_url");
        $userHistory = Yii::app()->cache->delete($key);
    }

    /**
     * Get current user id
     *
     * @return string
     **/
    public static function getCurrentCollectionId()
    {
        return Yii::app()->user->isGuest ? Yii::app()->session->getSessionId() : Yii::app()->user->id;
    }
} 
