<?php

/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * ShareRemembered widget - allows deleting, sorting, search and share remembered links
 *
**/
class ShareRemembered extends BaseWidget
{

    /**
     * Collection id for filtering pages
     *
     * @var string
     **/
    public $collection_id;

    /**
     * Amount of displaying items on the page
     *
     * @var string
     **/
    public $pageSize = 4;

    /**
     * If user can delete items
     *
     * @var string
     **/
    public $admin = false;

    /**
     * Displayed page number
     *
     * @var string
     **/
    public $page = 0;

    /**
     * Sort field and direction. If direction is ASC then only field name should be specified
     *
     * @var string
     **/
    public $sort = 'created.desc';

    /**
     * Render widget
     *
     * @return void
     **/
    public function run()
    {
        $rememberedPage = new RememberedPage('search');
        if(isset($_GET['RememberedPage'])){
            $rememberedPage->attributes = $_GET['RememberedPage'];
        }

        $this->collection_id = Yii::app()->getModule('remember')->getUserCollectionId();

        $this->render('ShareRemembered', array('model' => $rememberedPage));
    }

    /**
     * Return widget options as encrypted string. This is used for sending options via AJAX
     *
     * @return void
     * @author Me
     **/
    public function getEncryptedOptions()
    {
        $data = array(
            'collection_id' => $this->collection_id,
            'pageSize' => $this->pageSize,
            'admin' => intval($this->admin),
            'page' => $this->page,
            'sort' => $this->sort
        );

        return EncryptHelper::encrypt(CJSON::encode($data));
    }
}
