<?php
    /**
     * Gentics Portal.Node PHP
     * Author & Copyright (c) by Gentics Software GmbH
     * sales@gentics.com
     * http://www.gentics.com
     * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
     * You must not use this software without a valid license agreement.

     */

class SearchController extends Controller
{
    /**
     * action for autosuggestion a search request
     *
     * @return bool
     */
    public function actionAutosuggest()
    {
        $phrase = Yii::app()->request->getQuery('searchTerm', '');
        $secureAutosuggestUrl = Yii::app()->request->getQuery('autosuggestUrl');

        $result = array('data'=>array());

        $params = array(
            'filter' => $phrase,
            'type' => 'php',
        );
        $searchApi = new SearchApi();
        if(!empty($secureAutosuggestUrl)){
            $url = Yii::app()->securityManager->validateData($secureAutosuggestUrl);
            if(!empty($url)){
                $searchApi->autosuggestUrl = $url;
            }
        }

        $data = $searchApi->getRepositoryApi()->requestAutosuggest($params);

        if ($data = unserialize($data)) {
            if ($data['status']=='ok') {
                unset($data['status']);
                $result['qty'] = count($data);
                foreach ($data as $resultItem) {
                    $result['data'][$resultItem['attributes']['word']] = $resultItem['attributes']['word'];
                }
            }
        }

        echo json_encode($result['data']);
    }

    public function actionTestDriver()
    {
        $usePersonalization = true;
        $term = 'content:(user)';
        $params = array();

        $adaptor = new SearchAdaptor($term, $params, $usePersonalization);
        $adaptor->pageNumber = 1;
        $adaptor->pageSize = 10;
        $results = $adaptor->fetchNext();
        var_dump($results, $adaptor->existsMore());

        $results = $adaptor->fetchNext();
        var_dump($results, $adaptor->existsMore());
        $results = $adaptor->fetchNext();
        var_dump($results, $adaptor->existsMore());
        die;
        $adaptor = new SearchAdaptor($term, $params, $usePersonalization);
        $adaptor->pageNumber = 2;
        $adaptor->pageSize = 10;
        $results = $adaptor->fetchNext();
        var_dump($results, $adaptor->existsMore());

        $adaptor = new SearchAdaptor($term, $params, $usePersonalization);
        $adaptor->pageNumber = 1;
        $adaptor->pageSize = 10;
        $results = $adaptor->fetchNext();
        $results = $adaptor->fetchNext();
        var_dump($results, $adaptor->existsMore());
    }
}

?>
