<?php

class ManageController extends BaseController
{
    /**
     * sets some access rules
     *
     * @return array
     */
    public function filters()
    {
        return array(
            'accessControl', // perform access control for CRUD operations
        );
    }

    /**
     * Specifies the access control rules.
     * This method is used by the 'accessControl' filter.
     *
     * @return array access control rules
     */
    public function accessRules()
    {
        return array(
            array('allow',
                'roles' => array('Admin'),
            ),
            array('deny', // deny all users
                'users' => array('*'),
            ),
        );
    }

    /**
     * Default action
     *
     * @return void
     */
    public function actionIndex()
    {
        foreach (Settings::instance()->settings as $name => $value) {
            if (!in_array($name, $this->module->fields)) {
                Settings::instance()->unsetValue($name);
            }
        }

        foreach ($this->module->fields as $field) {
            if (isset($_POST[$field])) {
                Settings::instance()->set($field, $_POST[$field]);
                Yii::app()->user->setFlash('settings', SettingsModule::t('Updated success'));
            }
        }

        $this->render('index', array('allowedSettings' => $this->module->fields, 'settings' => Settings::instance()->settings));
    }
}
